#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeframever	6.14
%define		qtver		5.15.2
%define		kfname		kitemmodels

Summary:	Set of item models extending the Qt model-view framework
Name:		kf6-%{kfname}
Version:	6.14.0
Release:	1
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/frameworks/%{kdeframever}/%{kfname}-%{version}.tar.xz
# Source0-md5:	ea2ab0d7af7a70b95cb347b989bdad92
URL:		http://www.kde.org/
BuildRequires:	Qt6Core-devel >= %{qtver}
BuildRequires:	Qt6Gui-devel >= %{qtver}
BuildRequires:	Qt6Test-devel >= %{qtver}
BuildRequires:	Qt6Widgets-devel >= %{qtver}
BuildRequires:	cmake >= 3.16
BuildRequires:	kf6-extra-cmake-modules >= %{version}
BuildRequires:	ninja
BuildRequires:	qt6-linguist >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	kf6-dirs
#Obsoletes:	kf5-%{kfname} < %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		qt6dir		%{_libdir}/qt6

%description
KItemModels provides the following models:

- KBreadcrumbSelectionModel - Selects the parents of selected items to
  create breadcrumbs
- KCheckableProxyModel - Adds a checkable capability to a source model
- KDescendantsProxyModel - Proxy Model for restructuring a Tree into a
  list
- KLinkItemSelectionModel - Share a selection in multiple views which
  do not have the same source model
- KModelIndexProxyMapper - Mapping of indexes and selections through
  proxy models
- KRecursiveFilterProxyModel - Recursive filtering of models
- KSelectionProxyModel - A Proxy Model which presents a subset of its
  source model to observers

%package devel
Summary:	Header files for %{kfname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kfname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
#Obsoletes:	kf5-%{kfname}-devel < %{version}

%description devel
Header files for %{kfname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kfname}.

%prep
%setup -q -n %{kfname}-%{version}

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON

%ninja_build -C build

%if %{with tests}
%ninja_build -C build test
%endif


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.md
%ghost %{_libdir}/libKF6ItemModels.so.6
%attr(755,root,root) %{_libdir}/libKF6ItemModels.so.*.*
%dir %{qt6dir}/qml/org/kde/kitemmodels
%attr(755,root,root) %{qt6dir}/qml/org/kde/kitemmodels/libitemmodelsplugin.so
%{qt6dir}/qml/org/kde/kitemmodels/qmldir
%{_datadir}/qlogging-categories6/kitemmodels.categories
%{_datadir}/qlogging-categories6/kitemmodels.renamecategories
%{qt6dir}/qml/org/kde/kitemmodels/itemmodelsplugin.qmltypes
%{qt6dir}/qml/org/kde/kitemmodels/kde-qmlmodule.version

%files devel
%defattr(644,root,root,755)
%{_includedir}/KF6/KItemModels
%{_libdir}/cmake/KF6ItemModels
%{_libdir}/libKF6ItemModels.so
%changelog
* Fri May 30 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf6-kitemmodels.git;a=log;h=master

* Sat May 10 2025 Witold Filipczyk <witekfl@poczta.onet.pl> e946f23
- updated to 6.14.0

* Sat Apr 12 2025 Witold Filipczyk <witekfl@poczta.onet.pl> f398676
- updated to 6.13.0

* Sun Mar 16 2025 Witold Filipczyk <witekfl@poczta.onet.pl> ee63a33
- updated to 6.12.0

* Sat Feb 15 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 49562fe
- updated to 6.11.0

* Fri Jan 10 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 6bd374b
- updated to 6.10.0

* Fri Dec 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 1358ccb
- updated to 6.9.0

* Fri Nov 08 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 424a12d
- updated to 6.8.0

* Sun Oct 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 95b294e
- _libdir/qt6 -> qt6dir

* Fri Oct 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> c0a7b56
- updated to 6.7.0

* Sat Sep 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> cc3899a
- updated to 6.6.0

* Sun Aug 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> f32303a
- updated to 6.5.0

* Wed Aug 07 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> e5ecb06
- relup

* Sat Jul 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> bdc6623
- updated to 6.4.0

* Sat Jun 08 2024 Witold Filipczyk <witekfl@poczta.onet.pl> da178bf
- updated to 6.3.0

* Fri May 24 2024 Witold Filipczyk <witekfl@poczta.onet.pl> fcfe58b
- Obsoletes kf5

* Sat May 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 57b95a2
- updated to 6.2.0

* Sun Apr 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> dee9a27
- updated to 6.1.0

* Sat Mar 02 2024 Witold Filipczyk <witekfl@poczta.onet.pl> ab744a8
- updated to 6.0.0

* Sun Feb 04 2024 Witold Filipczyk <witekfl@poczta.onet.pl> f62703d
- updated to 5.249.0; rel 0.1

